GlobFilenameFilter (Jakarta-ORO 2.0.8 API)
Date: 2019-01-01

org.apache.oro.io

## Class GlobFilenameFilter

- java.lang.Object
- - org.apache.oro.io.RegexFilenameFilter
  - - org.apache.oro.io.GlobFilenameFilter

- All Implemented Interfaces:
    java.io.FileFilter, java.io.FilenameFilter

      public class GlobFilenameFilter
      extends RegexFilenameFilter

  GlobFilenameFilter is a RegexFilenameFilter subclass that filters on Glob regular expressions as implemented by the org.apache.oro.text package, which is required to use this class.
  Since:
    1.0
  Version:
    2.0.8
  See Also:
    `RegexFilenameFilter`, `AwkFilenameFilter`, `GlobFilenameFilter`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GlobFilenameFilter()` Same as GlobFilenameFilter("");
    `GlobFilenameFilter(java.lang.String regex)` Same as GlobFilenameFilter(regex, GlobCompiler.DEFAULT_MASK);
    `GlobFilenameFilter(java.lang.String regex, int options)` Construct a filter initialized with the indicated regular expression and accompanying compilation options conforming to those used by `org.apache.oro.text.GlobCompiler`

  - ### Method Summary

    - ### Methods inherited from class org.apache.oro.io.RegexFilenameFilter

      `accept, accept, setFilterExpression, setFilterExpression`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GlobFilenameFilter

          public GlobFilenameFilter(java.lang.String regex,
                                    int options)

      Construct a filter initialized with the indicated regular expression and accompanying compilation options conforming to those used by `org.apache.oro.text.GlobCompiler`

      Parameters:
        `regex` - The regular expression on which to filter.
        `options` - A set of compilation options.
      Throws:
        `MalformedCachePatternException` - If there is an error in compiling the regular expression. This need not be caught if you are using a hard-coded expression that you know is correct. But for robustness and reliability you should catch this exception for dynamically entered expressions determined at runtime.

    - #### GlobFilenameFilter

          public GlobFilenameFilter(java.lang.String regex)

      Same as GlobFilenameFilter(regex, GlobCompiler.DEFAULT_MASK);

    - #### GlobFilenameFilter

          public GlobFilenameFilter()

      Same as GlobFilenameFilter("");

Copyright ? 2000-2003 Apache Software Foundation. All Rights Reserved.